Skip to main content
GET
cURL

Get all Campaigns

Returns paginated campaigns (coupons and offers). Requires scope campaigns:read. Offers are listed here — there is no separate /affiliate/offers endpoint. Use types=Offer to filter offers.

HTTP Request

Query Parameters

Response

Example — list offers

Authorizations

x-api-key
string
header
required

Query Parameters

page
integer<int32>

Page number for pagination

limit
integer<int32>
default:10

Maximum number of results per page (default: 10, max: 20)

Required range: x <= 20
types
enum<string>[]

Campaign types to filter

Available options:
PersonalCoupon,
GenericCoupon,
Offer
offerType
enum<string>[]

Type of offer to filter. If not provided, all offers will be returned.

Spreadsheet: Spreadsheet offer type. In this case, links will not be generated automatically. You need to use the POST /affiliate/shortener/url endpoint to generate links by passing the campaign id as a parameter through featureId.

Url: Link offer type. In this case, links will be generated automatically.

Available options:
Spreadsheet,
Url
organizationId
string

Brand identifier to filter campaigns

organizationIds
string[]

List of brand identifiers to filter campaigns

name
string

Campaign name to search for

isHighlight
boolean

Filter campaigns by highlight status

categories
string[]

List of categories to filter campaigns

status
enum<string>[]

Filter campaigns by status. Accepts multiple values separated by comma.

onTime: Active campaign within period.

expired: Campaign expired (period.endAt has passed).

scheduled: Campaign scheduled (period.startAt has not arrived yet).

Example: status=onTime,expired

Available options:
onTime,
expired,
scheduled
period
object

Campaign period filter

startAt
string<date-time>

Campaign start date (ISO 8601). Must be used together with endAt.

endAt
string<date-time>

Campaign end date (ISO 8601). Must be used together with startAt.

Response

Campaign response

data
object
meta
object